## org.apache.poi.hpsf.wellknown
Class PropertyIDMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.poi.hpsf.wellknown.PropertyIDMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class PropertyIDMap
extends java.util.HashMap

This is a dictionary which maps property ID values to property ID strings.

The methods `getSummaryInformationProperties()` and `getDocumentSummaryInformationProperties()` return singleton `PropertyIDMap`s. An application that wants to extend these maps should treat them as unmodifiable, copy them and modifiy the copies.

FIXME: Make the singletons unmodifiable. However, since this requires to use a `HashMap` delegate instead of extending `HashMap` and thus requires a lot of stupid typing. I won't do that for the time being.

Since:
  2002-02-09
Version:
  $Id: PropertyIDMap.java,v 1.7.4.1 2004/02/22 11:54:46 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Field Summary
`static int` `PID_APPNAME`
`static int` `PID_AUTHOR`
`static int` `PID_BYTECOUNT` Number of bytes.
`static int` `PID_CATEGORY` The entry is a string denoting the category the file belongs to, e.g.
`static int` `PID_CHARCOUNT`
`static int` `PID_CODEPAGE` The entry denotes a code page.
`static int` `PID_COMMENTS`
`static int` `PID_COMPANY` This entry contains the company name.
`static int` `PID_CREATE_DTM`
`static int` `PID_DICTIONARY` The entry is a dictionary.
`static int` `PID_DOCPARTS` This entry contains the names of document parts (word: names of the documents in the master document, excel: sheet names, power point: slide titles, binder: document names).
`static int` `PID_EDITTIME`
`static int` `PID_HEADINGPAIR` This entry denotes an internally used property.
`static int` `PID_HIDDENCOUNT` Number of hidden slides.
`static int` `PID_KEYWORDS`
`static int` `PID_LASTAUTHOR`
`static int` `PID_LASTPRINTED`
`static int` `PID_LASTSAVE_DTM`
`static int` `PID_LINECOUNT` Number of lines.
`static int` `PID_LINKSDIRTY` If this entry is -1 the links are dirty and should be re-evaluated.
`static int` `PID_MANAGER` This entry contains the name of the project manager.
`static int` `PID_MMCLIPCOUNT` Number of multimedia clips, e.g.
`static int` `PID_NOTECOUNT` Number of slides with notes.
`static int` `PID_PAGECOUNT`
`static int` `PID_PARCOUNT` Number of paragraphs.
`static int` `PID_PRESFORMAT` Target format for power point presentation, e.g.
`static int` `PID_REVNUMBER`
`static int` `PID_SCALE` This entry is set to -1 when scaling of the thumbnail is desired.
`static int` `PID_SECURITY`
`static int` `PID_SLIDECOUNT` Number of slides in a power point presentation.
`static int` `PID_SUBJECT`
`static int` `PID_TEMPLATE`
`static int` `PID_THUMBNAIL`
`static int` `PID_TITLE`
`static int` `PID_WORDCOUNT`

Constructor Summary
`PropertyIDMap(int initialCapacity, float loadFactor)` Creates a `PropertyIDMap`.

Method Summary
`java.lang.Object` `get(int id)` Gets the ID string for an ID from the `PropertyIDMap`.
`static PropertyIDMap` `getDocumentSummaryInformationProperties()` Returns the Document Summary Information properties singleton.
`static PropertyIDMap` `getSummaryInformationProperties()` Returns the Summary Information properties singleton.
`static void` `main(java.lang.String[] args)` For the most basic testing.
`java.lang.Object` `put(int id, java.lang.String idString)` Puts a ID string for an ID into the `PropertyIDMap`.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PID_TITLE

    public static final int PID_TITLE

See Also:
  Constant Field Values

### PID_SUBJECT

    public static final int PID_SUBJECT

See Also:
  Constant Field Values

### PID_AUTHOR

    public static final int PID_AUTHOR

See Also:
  Constant Field Values

### PID_KEYWORDS

    public static final int PID_KEYWORDS

See Also:
  Constant Field Values

### PID_COMMENTS

    public static final int PID_COMMENTS

See Also:
  Constant Field Values

### PID_TEMPLATE

    public static final int PID_TEMPLATE

See Also:
  Constant Field Values

### PID_LASTAUTHOR

    public static final int PID_LASTAUTHOR

See Also:
  Constant Field Values

### PID_REVNUMBER

    public static final int PID_REVNUMBER

See Also:
  Constant Field Values

### PID_EDITTIME

    public static final int PID_EDITTIME

See Also:
  Constant Field Values

### PID_LASTPRINTED

    public static final int PID_LASTPRINTED

See Also:
  Constant Field Values

### PID_CREATE_DTM

    public static final int PID_CREATE_DTM

See Also:
  Constant Field Values

### PID_LASTSAVE_DTM

    public static final int PID_LASTSAVE_DTM

See Also:
  Constant Field Values

### PID_PAGECOUNT

    public static final int PID_PAGECOUNT

See Also:
  Constant Field Values

### PID_WORDCOUNT

    public static final int PID_WORDCOUNT

See Also:
  Constant Field Values

### PID_CHARCOUNT

    public static final int PID_CHARCOUNT

See Also:
  Constant Field Values

### PID_THUMBNAIL

    public static final int PID_THUMBNAIL

See Also:
  Constant Field Values

### PID_APPNAME

    public static final int PID_APPNAME

See Also:
  Constant Field Values

### PID_SECURITY

    public static final int PID_SECURITY

See Also:
  Constant Field Values

### PID_DICTIONARY

    public static final int PID_DICTIONARY

  The entry is a dictionary.

  See Also:
    Constant Field Values

### PID_CODEPAGE

    public static final int PID_CODEPAGE

  The entry denotes a code page.

  See Also:
    Constant Field Values

### PID_CATEGORY

    public static final int PID_CATEGORY

  The entry is a string denoting the category the file belongs to, e.g. review, memo, etc. This is useful to find documents of same type.

  See Also:
    Constant Field Values

### PID_PRESFORMAT

    public static final int PID_PRESFORMAT

  Target format for power point presentation, e.g. 35mm, printer, video etc.

  See Also:
    Constant Field Values

### PID_BYTECOUNT

    public static final int PID_BYTECOUNT

  Number of bytes.

  See Also:
    Constant Field Values

### PID_LINECOUNT

    public static final int PID_LINECOUNT

  Number of lines.

  See Also:
    Constant Field Values

### PID_PARCOUNT

    public static final int PID_PARCOUNT

  Number of paragraphs.

  See Also:
    Constant Field Values

### PID_SLIDECOUNT

    public static final int PID_SLIDECOUNT

  Number of slides in a power point presentation.

  See Also:
    Constant Field Values

### PID_NOTECOUNT

    public static final int PID_NOTECOUNT

  Number of slides with notes.

  See Also:
    Constant Field Values

### PID_HIDDENCOUNT

    public static final int PID_HIDDENCOUNT

  Number of hidden slides.

  See Also:
    Constant Field Values

### PID_MMCLIPCOUNT

    public static final int PID_MMCLIPCOUNT

  Number of multimedia clips, e.g. sound or video.

  See Also:
    Constant Field Values

### PID_SCALE

    public static final int PID_SCALE

  This entry is set to -1 when scaling of the thumbnail is desired. Otherwise the thumbnail should be cropped.

  See Also:
    Constant Field Values

### PID_HEADINGPAIR

    public static final int PID_HEADINGPAIR

  This entry denotes an internally used property. It is a vector of variants consisting of pairs of a string (VT_LPSTR) and a number (VT_I4). The string is a heading name, and the number tells how many document parts are under that heading.

  See Also:
    Constant Field Values

### PID_DOCPARTS

    public static final int PID_DOCPARTS

  This entry contains the names of document parts (word: names of the documents in the master document, excel: sheet names, power point: slide titles, binder: document names).

  See Also:
    Constant Field Values

### PID_MANAGER

    public static final int PID_MANAGER

  This entry contains the name of the project manager.

  See Also:
    Constant Field Values

### PID_COMPANY

    public static final int PID_COMPANY

  This entry contains the company name.

  See Also:
    Constant Field Values

### PID_LINKSDIRTY

    public static final int PID_LINKSDIRTY

  If this entry is -1 the links are dirty and should be re-evaluated.

  See Also:
    Constant Field Values

Constructor Detail

### PropertyIDMap

    public PropertyIDMap(int initialCapacity,
                         float loadFactor)

  Creates a `PropertyIDMap`.

Method Detail

### put

    public java.lang.Object put(int id,
                                java.lang.String idString)

  Puts a ID string for an ID into the `PropertyIDMap`.

  Parameters:
    `id` - The ID.
    `idString` - The ID string.
  Returns:
    As specified by the `Map` interface, this method returns the previous value associated with the specified id, or `null` if there was no mapping for key.

### get

    public java.lang.Object get(int id)

  Gets the ID string for an ID from the `PropertyIDMap`.

  Parameters:
    `id` - The ID.
  Returns:
    The ID string associated with id.

### getSummaryInformationProperties

    public static PropertyIDMap getSummaryInformationProperties()

  Returns the Summary Information properties singleton.

### getDocumentSummaryInformationProperties

    public static PropertyIDMap getDocumentSummaryInformationProperties()

  Returns the Document Summary Information properties singleton.

  Returns:
    The Document Summary Information properties singleton.

### main

    public static void main(java.lang.String[] args)

  For the most basic testing.

Copyright © 2003 Apache Software Foundation.